### Method

# GVnc Connection set_auth_type

#### Declaration [src]

    gboolean
    vnc_connection_set_auth_type (
      VncConnection* conn,
      unsigned int type
    )

#### Description [src]

Set the authentication type to use to complete the connection.

#### Parameters

`type`

  Type: `unsigned int`

  The requested auth type.

#### Return value

Type: `gboolean`

TRUE if the connection is ok, FALSE if it has an error.